Skip to content

L3l4 Mitigation Traffic Query.

POST
/api/infraprotect/namespaces/{namespace}/graph/l3l4/by_mitigation/{mitigation_id}
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/graph/l3l4/by_mitigation/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "2026-04-15T12:00:00Z", "mitigation_id": "example", "namespace": "example", "sort": "MitigationSeriesSortUnknown", "start_time": "2026-04-15T12:00:00Z", "top_n": 1, "traffic_unit": "TrafficUnitUnknown" }'

Request to GET l3l4 Mitigation Traffic data.

Examples of this operation.

namespace
required
string

Namespace This request is supported only in system namespace.

mitigation_id
required
string

MitigationId The mitigation ID.

Media typeapplication/json
l3l4 Mitigation Request

Used to display Zone by tenant.

object
end_time
End time

End time of metric collection from which data will be considered to build graph.

Optional: If not specified, then the end_time will be evaluated to

string format: date-time
<= 1024 characters
mitigation_id
MitigationId

The mitigation ID.

string
<= 1024 characters
namespace
Namespace

This request is supported only in system namespace.

string
>= 6 characters <= 1024 characters
sort
string
default: MitigationSeriesSortUnknown
Allowed values: MitigationSeriesSortUnknown MitigationSeriesSortMax MitigationSeriesSortAverage MitigationSeriesSortPct95
start_time
Start time

Start time of metric collection from which data will be considered to build graph.

Optional: If not specified, then the start_time will be evaluated to -3d.

string format: date-time
<= 1024 characters
top_n
Top N

TopN define the number of series returned after sort.

Optional: If not specified all timeseries are returned.

integer format: int32
traffic_unit
string
default: TrafficUnitUnknown
Allowed values: TrafficUnitUnknown TrafficUnitBps TrafficUnitPps

A successful response.

Media typeapplication/json
l3l4 Mitigation Response

Response for Mitigation Traffic.

object
rates
Mitigation rates

List of data.

Array<object>
L3L4Metric
object
name
Name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
values
Values

List of data.

Array<object>
L3L4GraphValue

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in RFC3339.

string format: date-time
<= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
Examplegenerated
{
"rates": [
{
"name": "example",
"values": [
{
"timestamp": "2026-04-15T12:00:00Z",
"value": "example"
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example